Bug 3403 - Bluetooth keyboard autoconnect very flaky
: Bluetooth keyboard autoconnect very flaky
Status: RESOLVED FIXED
Product: Connectivity
Bluetooth
: 4.1 (4.2008.23-14)
: N800 Maemo
: High normal (vote)
: ---
Assigned To: unassigned
: bluetooth-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-07-05 20:19 UTC by Ersin Akinci
Modified: 2008-07-07 07:40 UTC (History)
0 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Ersin Akinci (reporter) 2008-07-05 20:19:43 UTC
When using a bluetooth keyboard (iGo Stowaway Ultra-Slim Keyboard, model
XTBT01) the n800 will rarely automatically connect to the keyboard even though
it has already been paired.  By "rarely" I mean that I have tried to connect
perhaps 40-50 times and only once did the n800 connect automatically (i.e.,
without me going to Control Panel --> Bluetooth --> Devices --> Edit -->
Connect).  This keyboard is recognized by the n800 as the "Think Outside
Keyboard".

This functionality was present in OS2006 for the 770 with the bluetooth plugin.

SOFTWARE VERSION:
4.2008.23-14 (first diablo release)

STEPS TO REPRODUCE THE PROBLEM:
1. Get an n800 and a Think Outside/iGo Ultra-Slim Keyboard (XTBT01).
2. Pair the keyboard through either the Bluetooth Keyboard or Bluetooth control
panel applets.
3. Try to use the keyboard automatically in a variety of situations.  First,
make sure that bluetooth is on and the applet icon is in the status bar.  Then,
try everything: turn the n800 off, turn it back on again, turn the keyboard on,
and wait.  Use the n800 for a while, turn bluetooth off, turn the keyboard off,
turn bluetooth on, turn the keyboard on, and wait.  Etc., etc., etc.

EXPECTED OUTCOME:
N800 automatically detects the bluetooth keyboard and one can start using it
right away.

ACTUAL OUTCOME:
N800 does not detect the bluetooth keyboard and one must go to the bluetooth
devices dialog box to connect manually.  Sometimes connecting manually doesn't
work, either, and the n800 reports "Could not connect", in which case one must
delete the keyboard from the paired devices list, repair the keyboard, and
reconnect manually.  Very rarely will the keyboard automatically connect.

REPRODUCIBILITY:
Virtually always

EXTRA SOFTWARE INSTALLED:
Default install of 4.2008.23-14

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9)
Gecko/2008052906 Firefox/3.0
Comment 1 Ersin Akinci (reporter) 2008-07-07 07:40:05 UTC
I tried playing with the keyboard some more and I found out what I was doing
wrong.  When turning it on one should NOT press CTRL + green FN + blue FN as
this will cause the pairing to somehow reset itself.  However, if one turns the
keyboard on by pressing other random keys it should connect without a hitch.

One time when I hadn't used my keyboard for months I tried turning it on by
pressing random keys but it didn't work, which is why I started using CTRL + FN
+ FN in the first place.  I had read that this would solve my problem, and I
guess I just used it ever since.  It probably serves as some kind of hardcore
reset, like a cold boot.

I'm marking this as fixed.  HTH someone down the road!